## harp 1.5+data

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.8)
if(POLICY CMP0075)
  cmake_policy(SET CMP0075 NEW)
endif()

project(HARP)

set(VERSION 1.5)
set(HARP_VERSION \"${VERSION}\")
set(CPACK_PACKAGE_VERSION ${VERSION})

# Set dynamic library version
set(LIBHARP_CURRENT 9)
set(LIBHARP_REVISION 1)
set(LIBHARP_AGE 0)
math(EXPR LIBHARP_MAJOR "${LIBHARP_CURRENT} - ${LIBHARP_AGE}")
set(LIBHARP_MINOR ${LIBHARP_AGE})

# HARP format version
set(HARP_FORMAT_VERSION_MAJOR 1)
set(HARP_FORMAT_VERSION_MINOR 0)
set(HARP_CONVENTION \"HARP-${HARP_FORMAT_VERSION_MAJOR}.${HARP_FORMAT_VERSION_MINOR}\")


# General setup
set(CMAKE_MODULE_PATH
  ${HARP_SOURCE_DIR}/CMakeModules
  ${CMAKE_MODULE_PATH}
  CACHE INTERNAL "Local CMake modules")
set(CMAKE_MACOSX_RPATH ON)

include(CheckFunctionExists)
include(CheckLibraryExists)
include(CheckIncludeFile)
include(CheckSymbolExists)
include(CheckTypeSize)
include(CheckCSourceCompiles)
include(TestBigEndian)
include(CMakeDependentOption)

if(NOT MSVC AND NOT CMAKE_BUILD_TYPE AND NOT CMAKE_C_FLAGS)
  set(CMAKE_C_FLAGS "-O2 -g"
      CACHE STRING "Flags used by the C compiler during all build types." FORCE)
endif(NOT MSVC AND NOT CMAKE_BUILD_TYPE AND NOT CMAKE_C_FLAGS)

# Option handling
#
option(HARP_BUILD_IDL "build IDL interface" OFF)
option(HARP_BUILD_MATLAB "build MATLAB interface" OFF)
option(HARP_BUILD_PYTHON "build Python interface" OFF)
option(HARP_WITH_HDF4 "use HDF4" ON)
option(HARP_WITH_HDF5 "use HDF5" ON)
option(HARP_ENABLE_CONDA_INSTALL OFF)
set(HARP_EXPAT_NAME_MANGLE 1)
set(HARP_NETCDF_NAME_MANGLE 1)
# Note that we also add an explicit -D option for HARP_UDUNITS2_NAME_MANGLE, since the udunits2 sources do not include config.h
set(HARP_UDUNITS2_NAME_MANGLE 1)

# settings for expat
set(XML_NS 1)
set(XML_DTD 1)
set(XML_LARGE_SIZE 1)
set(XML_CONTEXT_BYTES 1024)

if(MSVC)
  # Suppress warnings from VC on deprecated POSIX names and unsafe functions
  add_definitions(-D_CRT_NONSTDC_NO_DEPRECATE -D_CRT_SECURE_NO_WARNINGS)
endif(MSVC)

if(HARP_BUILD_PYTHON)
  find_package(PythonInterp)
  if(NOT PYTHONINTERP_FOUND)
    message(FATAL_ERROR "PYTHON interpreter not found.")
  endif(NOT PYTHONINTERP_FOUND)
  execute_process(COMMAND ${PYTHON_EXECUTABLE} -c "import sys; from distutils import sysconfig; sys.stdout.write(sysconfig.get_python_lib(1,0,prefix=''))" OUTPUT_VARIABLE PYTHON_INSTALL_DIR)
  set(HARP_PYTHON_INSTALL_DIR "${PYTHON_INSTALL_DIR}" CACHE STRING "Install location for HARP Python package")
endif()

set(BIN_PREFIX bin)
set(LIB_PREFIX lib)
set(INCLUDE_PREFIX include)
set(DOC_PREFIX share/harp/doc)
set(PYTHON_PREFIX ${HARP_PYTHON_INSTALL_DIR}/harp)
set(MATLAB_PREFIX lib/harp/matlab)
set(IDL_PREFIX lib/harp/idl)
set(CODADEF_PREFIX share/coda/definitions)
set(UDUNITS2_PREFIX share/harp)
if(WIN32)
  # we use a different installation directory structure on Windows
  if(HARP_ENABLE_CONDA_INSTALL)
    # all non-python components need to be installed in a Library sub-directory for Conda on Windows
    set(BIN_PREFIX Library/bin)
    set(LIB_PREFIX Library/lib)
    set(INCLUDE_PREFIX Library/include)
    set(DOC_PREFIX Library/share/harp/doc)
    set(MATLAB_PREFIX Library/lib/harp/matlab)
    set(IDL_PREFIX Library/lib/harp/idl)
    set(CODADEF_PREFIX Library/share/coda/definitions)
    set(UDUNITS2_PREFIX Library/share/harp)
  else(CODA_ENABLE_CONDA_INSTALL)
    set(DOC_PREFIX doc)
    set(PYTHON_PREFIX python/harp)
  endif(HARP_ENABLE_CONDA_INSTALL)
endif(WIN32)

SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${LIB_PREFIX}")

if(NOT MSVC)
  set(MATHLIB m)
endif(NOT MSVC)

set(INCLUDES "")

macro(find_include FILE VARIABLE)
  CHECK_INCLUDE_FILE(${FILE} ${VARIABLE})
  if(${VARIABLE})
    set(INCLUDES ${INCLUDES} ${FILE})
  endif(${VARIABLE})
endmacro(find_include)

find_include(dirent.h HAVE_DIRENT_H)
find_include(dlfcn.h HAVE_DLFCN_H)
find_include(inttypes.h HAVE_INTTYPES_H)
find_include(limits.h HAVE_LIMITS_H)
find_include(memory.h HAVE_MEMORY_H)
find_include(stdarg.h HAVE_STDARG_H)
find_include(stdint.h HAVE_STDINT_H)
find_include(stdlib.h HAVE_STDLIB_H)
find_include(string.h HAVE_STRING_H)
find_include(strings.h HAVE_STRINGS_H)
find_include(sys/stat.h HAVE_SYS_STAT_H)
find_include(sys/types.h HAVE_SYS_TYPES_H)
find_include(unistd.h HAVE_UNISTD_H)

set(CMAKE_EXTRA_INCLUDE_FILES ${INCLUDES})

check_function_exists(bcopy HAVE_BCOPY)
check_function_exists(floor HAVE_FLOOR)
check_function_exists(getpagesize HAVE_GETPAGESIZE)
check_function_exists(malloc HAVE_MALLOC)
check_function_exists(memmove HAVE_MEMMOVE)
check_function_exists(mmap HAVE_MMAP)
check_function_exists(pread HAVE_PREAD)
check_function_exists(realloc HAVE_REALLOC)
check_function_exists(stat HAVE_STAT)
check_function_exists(strcasecmp HAVE_STRCASECMP)
check_function_exists(strdup HAVE_STRDUP)
check_function_exists(strerror HAVE_STRERROR)
check_function_exists(strncasecmp HAVE_STRNCASECMP)
check_function_exists(vsnprintf HAVE_VSNPRINTF)

set(UCHAR "unsigned char")
check_symbol_exists(size_t "${INCLUDES}" HAVE_SIZE_T)
set(SIZE_T "long")
check_symbol_exists(ptrdiff_t "${INCLUDES}" HAVE_PTRDIFF_T)
set(PTRDIFF_T "int")

check_type_size(size_t SIZEOF_SIZE_T)
check_type_size(off_t SIZEOF_OFF_T)
check_type_size(double SIZEOF_DOUBLE)
check_type_size(float SIZEOF_FLOAT)
check_type_size(int SIZEOF_INT)
check_type_size(long SIZEOF_LONG)
check_type_size(short SIZEOF_SHORT)

check_type_size(_Bool SIZEOF__BOOL)
set(HAVE__BOOL ${SIZEOF__BOOL})

test_big_endian(WORDS_BIGENDIAN)

if(HAVE_STDLIB_H AND HAVE_STDDEF_H)
  set(STDC_HEADERS 1)
endif(HAVE_STDLIB_H AND HAVE_STDDEF_H)

if(MSVC AND MSVC_VERSION LESS 1600 AND NOT MINGW)
# For Visual Studio > 2010 and MinGW we can use stdint.h
# For earlier versions of Visual Studio we need to provide our own defines
set(int8_t "signed char")
set(int16_t "signed short")
set(int32_t "int")
set(int64_t "__int64")
set(uint8_t "unsigned char")
set(uint16_t "unsigned short")
set(uint32_t "unsigned int")
set(uint64_t "unsigned __int64")
endif(MSVC AND MSVC_VERSION LESS 1600 AND NOT MINGW)

find_package(BISON)
find_package(FLEX)

if(HARP_WITH_HDF4)
  find_package(HDF4)
  if(NOT HDF4_FOUND)
    message(FATAL_ERROR "HDF4 libraries and/or header files are not found. Try setting the HDF4_LIBRARY_DIR and HDF4_INCLUDE_DIR cmake variables to the location of your HDF4 library and include files.")
  else(NOT HDF4_FOUND)
    set(HAVE_HDF4 1)
    include_directories(${HDF4_INCLUDE_DIR})
  endif(NOT HDF4_FOUND)
endif(HARP_WITH_HDF4)

if(HARP_WITH_HDF5)
  find_package(HDF5)
  if(NOT HDF5_FOUND)
      message(FATAL_ERROR "HDF5 libraries and/or header files are not found. Try setting the HDF5_LIBRARY_DIR and HDF5_INCLUDE_DIR cmake variables to the location of your HDF5 library and include files.")
  else(NOT HDF5_FOUND)
    set(HAVE_HDF5 1)
    include_directories(${HDF5_INCLUDE_DIR})
  endif(NOT HDF5_FOUND)
endif(HARP_WITH_HDF5)

# We allow HARP to be build as part of a larger CMake build that also includes
# CODA. It this is the case then CODA_SOURCE_DIR and CODA_BINARY_DIR will
# already be set and we don't have to look for an installed version of CODA.
if(DEFINED CODA_SOURCE_DIR AND DEFINED CODA_BINARY_DIR)
  set(CODA_INCLUDE_DIR ${CODA_BINARY_DIR} ${CODA_SOURCE_DIR}/libcoda)
  set(CODA_LIBRARIES coda)
else(DEFINED CODA_SOURCE_DIR AND DEFINED CODA_BINARY_DIR)
  find_package(CODA)
  if(NOT CODA_FOUND)
    message(FATAL_ERROR "CODA libraries and/or header files are not found. Try setting the CODA_LIBRARY_DIR and CODA_INCLUDE_DIR cmake variables to the location of your CODA library and include files.")
  endif(NOT CODA_FOUND)
endif(DEFINED CODA_SOURCE_DIR AND DEFINED CODA_BINARY_DIR)

include_directories(${CODA_INCLUDE_DIR})

include_directories(BEFORE ${HARP_BINARY_DIR} ${HARP_SOURCE_DIR}/libharp)

add_definitions(-DHAVE_CONFIG_H)

# The Doxyfile uses some autoconf variables CMake does not have.
# We set them here manually, so that we can use the same .in
# file for both autoconf and cmake
#
set(top_builddir ${CMAKE_BINARY_DIR})
set(top_srcdir ${CMAKE_SOURCE_DIR})
set(srcdir ${CMAKE_CURRENT_SOURCE_DIR}/doc)
configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/doc/Doxyfile.in
  ${CMAKE_CURRENT_BINARY_DIR}/doc/Doxyfile)


# libharp sources
#

BISON_TARGET(harp-operation-parser ${CMAKE_CURRENT_SOURCE_DIR}/libharp/harp-operation-parser.y ${CMAKE_CURRENT_BINARY_DIR}/harp-operation-parser.c)
FLEX_TARGET(harp-operation-scanner ${CMAKE_CURRENT_SOURCE_DIR}/libharp/harp-operation-scanner.l ${CMAKE_CURRENT_BINARY_DIR}/harp-operation-scanner.c)
add_flex_bison_dependency(harp-operation-scanner harp-operation-parser)

set(LIBHARP_SOURCES
  libharp/harp-analysis.c
  libharp/harp-area-mask.h
  libharp/harp-area-mask.c
  libharp/harp-aux-afgl86.c
  libharp/harp-aux-usstd76.c
  libharp/harp-binning.c
  libharp/harp-chemistry.h
  libharp/harp-chemistry.c
  libharp/harp-collocation.c
  libharp/harp-constants.h
  libharp/harp-dataset.c
  libharp/harp-derived-variable.c
  libharp/harp-derived-variable-list.c
  libharp/harp-dimension-mask.h
  libharp/harp-dimension-mask.c
  libharp/harp-csv.h
  libharp/harp-csv.c
  libharp/harp-errno.c
  libharp/harp-filter.h
  libharp/harp-filter.c
  libharp/harp-filter-collocation.h
  libharp/harp-filter-collocation.c
  libharp/harp-geometry-sphere-euler.c
  libharp/harp-geometry-sphere-line.c
  libharp/harp-geometry-sphere-point.c
  libharp/harp-geometry-sphere-polygon.c
  libharp/harp-geometry-vector3d.c
  libharp/harp-geometry-util.c
  libharp/harp-geometry.h
  libharp/harp-ingest-ace_fts_l2.c
  libharp/harp-ingest-aeolus_l1b.c
  libharp/harp-ingest-aeolus_l2a.c
  libharp/harp-ingest-aeolus_l2b.c
  libharp/harp-ingest-calipso_l2.c
  libharp/harp-ingest-cci_l2_aerosol.c
  libharp/harp-ingest-cci_l2_ghg.c
  libharp/harp-ingest-cci_l2_o3_lp.c
  libharp/harp-ingest-cci_l2_o3_np.c
  libharp/harp-ingest-cci_l2_o3_tc.c
  libharp/harp-ingest-cci_l3_aerosol.c
  libharp/harp-ingest-cci_l3_cloud.c
  libharp/harp-ingest-cci_l3_ghg.c
  libharp/harp-ingest-cci_l3_o3_lntoc.c
  libharp/harp-ingest-cci_l3_o3_lp.c
  libharp/harp-ingest-cci_l3_o3_np.c
  libharp/harp-ingest-cci_l3_o3_tc.c
  libharp/harp-ingest-cci_l3_o3_ttoc.c
  libharp/harp-ingest-cci_l4_o3_np.c
  libharp/harp-ingest-cloudnet_l2.c
  libharp/harp-ingest-earlinet_l2.c
  libharp/harp-ingest-ecmwf-grib.c
  libharp/harp-ingest-geoms-ftir.c
  libharp/harp-ingest-geoms-lidar.c
  libharp/harp-ingest-geoms-mwr.c
  libharp/harp-ingest-geoms-pandora.c
  libharp/harp-ingest-geoms-sonde.c
  libharp/harp-ingest-geoms-uvvis-doas.c
  libharp/harp-ingest-geoms-uvvis-dobson.c
  libharp/harp-ingest-gome_l1.c
  libharp/harp-ingest-gome_l2.c
  libharp/harp-ingest-gome2_l1.c
  libharp/harp-ingest-gome2_l2.c
  libharp/harp-ingest-gomos_l1.c
  libharp/harp-ingest-gomos_l2.c
  libharp/harp-ingest-gosat_fts_l1b.c
  libharp/harp-ingest-gosat_fts_l2.c
  libharp/harp-ingest-hirdls_l2.c
  libharp/harp-ingest-iasi_l1.c
  libharp/harp-ingest-iasi_l2.c
  libharp/harp-ingest-mipas_l1.c
  libharp/harp-ingest-mipas_l2.c
  libharp/harp-ingest-mls_l2.c
  libharp/harp-ingest-npp-suomi-crimss_l2.c
  libharp/harp-ingest-npp-suomi-omps_profiles_l2.c
  libharp/harp-ingest-npp-suomi-omps_totals_l2.c
  libharp/harp-ingest-npp-suomi-viirs_l2.c
  libharp/harp-ingest-omi_l2.c
  libharp/harp-ingest-omi_l3.c
  libharp/harp-ingest-osiris_l2.c
  libharp/harp-ingest-qa4ecv.c
  libharp/harp-ingest-sciamachy_l1.c
  libharp/harp-ingest-sciamachy_l2.c
  libharp/harp-ingest-s5p_l1b.c
  libharp/harp-ingest-s5p_l2.c
  libharp/harp-ingest-smr_l2.c
  libharp/harp-ingest-temis.c
  libharp/harp-ingest-tes_l2.c
  libharp/harp-ingestion.h
  libharp/harp-ingestion.c
  libharp/harp-ingestion-doc.c
  libharp/harp-ingestion-module.c
  libharp/harp-ingestion-options.c
  libharp/harp-internal.h
  libharp/harp-interpolation.c
  libharp/harp-netcdf.c
  libharp/harp-operation.h
  libharp/harp-operation.c
  libharp/harp-product.c
  libharp/harp-product-metadata.c
  libharp/harp-program.h
  libharp/harp-program.c
  libharp/harp-sea-surface.c
  libharp/harp-regrid.c
  libharp/harp-units.c
  libharp/harp-utils.c

=== debian/changelog ===
harp (1.5+data-3) unstable; urgency=medium

  * Fix broken symlink. Closes: #924194

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 10 Mar 2019 09:45:29 +0000

harp (1.5+data-2) unstable; urgency=medium

  * B-D on libcoda-dev >= 2.20-2. Closes: #919823

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 20 Jan 2019 13:50:49 +0000

harp (1.5+data-1) unstable; urgency=medium

  * Initial release. (Closes: #888683)
    This tarball takes the release from github, with some data files from the
    github submodules placed in definitions/* as needed for autoconf to work.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 19 Jan 2019 13:39:50 +0000

=== debian/control ===
Source: harp
Section: utils
Priority: optional
Maintainer: Debian Science Maintainers  <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 11), 
 libjs-jquery, libjs-mathjax, libjs-underscore,
 dh-buildinfo, 
 bison,
 zip,
 dh-python,
 python3-all,
 python3-numpy,
 libcoda-dev (>= 2.20-2),
 libnetcdf-dev, netcdf-bin,
 libhdf5-dev | libhdf5-serial-dev, 
 libaec-dev,
 libjpeg-dev,
 zlib1g-dev,
 libhdf4-alt-dev,
 libexpat1-dev,
 libudunits2-dev,
 flex,
 sphinx-doc,
 doxygen
Standards-Version: 4.3.0
Homepage: https://github.com/stcorp/harp
Vcs-Browser: https://salsa.debian.org:/science-team/harp.git
Vcs-Git: https://salsa.debian.org:/science-team/harp.git

Package: harp
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libharp9 ( = ${binary:Version}), libudunits2-data
Recommends: python3-harp
Description: Data harmonization toolset for Earth Observation formats
 HARP is a toolset for ingesting, processing and inter-comparing satellite or
 model data against correlative data. The toolset is composed of a set of
 command line tools, a C library of analysis functions, and import/export
 interfaces for Python. The main goal of HARP is to assist
 in the inter-comparison of data sets. By appropriatelty chaining calls to
 the HARP command line tools one can preprocess satellite, model, and/or
 correlative data such that two datasets that need to be compared end up
 having the same temporal/spatial grid, same data format/structure, and same
 physical units.
 .
 This package provides the HARP binary utilities.

Package: libharp9
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, python3-cffi-backend, python3-numpy
Multi-Arch: same
Description: Data harmonisation toolset for Earth Observation formats
 HARP is a toolset for ingesting, processing and inter-comparing satellite or
 model data against correlative data. The toolset is composed of a set of
 command line tools, a C library of analysis functions, and import/export
 interfaces for Python. The main goal of HARP is to assist
 in the inter-comparison of data sets. By appropriatelty chaining calls to
 the HARP command line tools one can preprocess satellite, model, and/or
 correlative data such that two datasets that need to be compared end up
 having the same temporal/spatial grid, same data format/structure, and same
 physical units.
 .
 This package provides the HARP shared library.

Package: libharp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libharp9 (= ${binary:Version}),
 libjs-jquery, libjs-mathjax, libjs-underscore, 
 fonts-roboto-slab, fonts-lato
Description: Data harmonisation toolset for Earth Observation formats
 HARP is a toolset for ingesting, processing and inter-comparing satellite or
 model data against correlative data. The toolset is composed of a set of
 command line tools, a C library of analysis functions, and import/export
 interfaces for Python. The main goal of HARP is to assist
 in the inter-comparison of data sets. By appropriatelty chaining calls to
 the HARP command line tools one can preprocess satellite, model, and/or
 correlative data such that two datasets that need to be compared end up
 having the same temporal/spatial grid, same data format/structure, and same
 physical units.
 .
 This package provides static libs and development files for HARP.


Package: python3-harp
Architecture: any
Section: python
Depends: harp, ${misc:Depends}, ${python3:Depends},  libharp9 ( = ${binary:Version})
Provides: ${python:Provides}
Description: Python3 interface for the HARP data harmonisation toolset
 HARP is a toolset for ingesting, processing and inter-comparing satellite or
 model data against correlative data. The toolset is composed of a set of
 command line tools, a C library of analysis functions, and import/export
 interfaces for Python. The main goal of HARP is to assist
 in the inter-comparison of data sets. By appropriatelty chaining calls to
 the HARP command line tools one can preprocess satellite, model, and/or
 correlative data such that two datasets that need to be compared end up
 having the same temporal/spatial grid, same data format/structure, and same
 physical units.
 .
 This package contains Python3 wrappers for the HARP toolset.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# The magic debhelper  rule
%:
	dh $@  --with python3

DESTDIR:=`pwd`/debian/tmp/
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
AUTOGENERATED:= libharp-dev.links libharp9.links 

# For the moment, serial hdf5 only
WITH_HDF5:=--with-hdf5=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial

override_dh_auto_configure:
	for f in ${AUTOGENERATED} ; do \
                sed -e 's%@TRIPLET@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
                done
	./configure --prefix=/usr --libdir=$(LIBDIR) \
		--enable-python \
		$(WITH_HDF5)  \
		HDF4_INCLUDE=/usr/include/hdf \
		UDUNITS2LIBS=-ludunits2 \
		PYTHON=python3

override_dh_auto_install:
	dh_auto_install
	find debian -name '*.la' -delete
	rm debian/tmp/usr/share/harp/doc/html/_static/jquery*
	rm debian/tmp/usr/share/harp/doc/html/_static/underscore*
	rm -rf debian/tmp/usr/share/harp/doc/html/_static/fonts

override_dh_auto_clean:
	rm -f config.log
	rm -f $(patsubst %, debian/%, ${AUTOGENERATED})
	dh_auto_clean

## harp 1.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,12 +5,12 @@
 
 project(HARP)
 
-set(VERSION 1.5)
+set(VERSION 1.7)
 set(HARP_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
-set(LIBHARP_CURRENT 9)
+set(LIBHARP_CURRENT 10)
 set(LIBHARP_REVISION 1)
 set(LIBHARP_AGE 0)
 math(EXPR LIBHARP_MAJOR "${LIBHARP_CURRENT} - ${LIBHARP_AGE}")
@@ -303,6 +303,7 @@
   libharp/harp-ingest-geoms-mwr.c
   libharp/harp-ingest-geoms-pandora.c
   libharp/harp-ingest-geoms-sonde.c
+  libharp/harp-ingest-geoms-tccon.c
   libharp/harp-ingest-geoms-uvvis-doas.c
   libharp/harp-ingest-geoms-uvvis-dobson.c
   libharp/harp-ingest-gome_l1.c
@@ -350,5 +351,3 @@
   libharp/harp-program.c
   libharp/harp-sea-surface.c
   libharp/harp-regrid.c
-  libharp/harp-units.c
-  libharp/harp-utils.c

=== debian/changelog ===
harp (1.8-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.4.0
  * Use debhelper-compat (= 12)

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Aug 2019 15:09:46 +0100

harp (1.7-1) unstable; urgency=medium

  * New upstream release
  * libharp9 -> libharp10 transition
  * Use debhelper version 12

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 16 Jun 2019 13:39:23 +0100

## harp 1.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,13 @@
 
 project(HARP)
 
-set(VERSION 1.7)
+set(VERSION 1.9.2)
 set(HARP_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
 set(LIBHARP_CURRENT 10)
-set(LIBHARP_REVISION 1)
+set(LIBHARP_REVISION 5)
 set(LIBHARP_AGE 0)
 math(EXPR LIBHARP_MAJOR "${LIBHARP_CURRENT} - ${LIBHARP_AGE}")
 set(LIBHARP_MINOR ${LIBHARP_AGE})
@@ -48,6 +48,7 @@
 option(HARP_BUILD_IDL "build IDL interface" OFF)
 option(HARP_BUILD_MATLAB "build MATLAB interface" OFF)
 option(HARP_BUILD_PYTHON "build Python interface" OFF)
+option(HARP_BUILD_R "build R interface" OFF)
 option(HARP_WITH_HDF4 "use HDF4" ON)
 option(HARP_WITH_HDF5 "use HDF5" ON)
 option(HARP_ENABLE_CONDA_INSTALL OFF)
@@ -81,6 +82,7 @@
 set(INCLUDE_PREFIX include)
 set(DOC_PREFIX share/harp/doc)
 set(PYTHON_PREFIX ${HARP_PYTHON_INSTALL_DIR}/harp)
+set(R_PREFIX lib/R/site-library/harp)
 set(MATLAB_PREFIX lib/harp/matlab)
 set(IDL_PREFIX lib/harp/idl)
 set(CODADEF_PREFIX share/coda/definitions)
@@ -88,7 +90,7 @@
 if(WIN32)
   # we use a different installation directory structure on Windows
   if(HARP_ENABLE_CONDA_INSTALL)
-    # all non-python components need to be installed in a Library sub-directory for Conda on Windows
+    # all non-python/non-R components need to be installed in a Library sub-directory for Conda on Windows
     set(BIN_PREFIX Library/bin)
     set(LIB_PREFIX Library/lib)
     set(INCLUDE_PREFIX Library/include)
@@ -100,6 +102,7 @@
   else(CODA_ENABLE_CONDA_INSTALL)
     set(DOC_PREFIX doc)
     set(PYTHON_PREFIX python/harp)
+    set(R_PREFIX R/harp)
   endif(HARP_ENABLE_CONDA_INSTALL)
 endif(WIN32)
 
@@ -207,6 +210,14 @@
     include_directories(${HDF5_INCLUDE_DIR})
   endif(NOT HDF5_FOUND)
 endif(HARP_WITH_HDF5)
+
+if(HARP_BUILD_R)
+  find_package(R)
+  if(NOT R_FOUND)
+    message(FATAL_ERROR "R installation not found.")
+  endif(NOT R_FOUND)
+  include_directories(${R_INCLUDE_DIR})
+endif()
 
 # We allow HARP to be build as part of a larger CMake build that also includes
 # CODA. It this is the case then CODA_SOURCE_DIR and CODA_BINARY_DIR will
@@ -340,14 +351,3 @@
   libharp/harp-ingestion-doc.c
   libharp/harp-ingestion-module.c
   libharp/harp-ingestion-options.c
-  libharp/harp-internal.h
-  libharp/harp-interpolation.c
-  libharp/harp-netcdf.c
-  libharp/harp-operation.h
-  libharp/harp-operation.c
-  libharp/harp-product.c
-  libharp/harp-product-metadata.c
-  libharp/harp-program.h
-  libharp/harp-program.c
-  libharp/harp-sea-surface.c
-  libharp/harp-regrid.c

=== debian/changelog ===
harp (1.9.2-1build1) focal; urgency=medium

  * No-change rebuild for netcdf soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Jan 2020 18:01:28 +0100

harp (1.9.2-1) unstable; urgency=medium

  * New upstream release
  * Library minor version now 10.0.5

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 06 Dec 2019 09:01:51 +0000

harp (1.9.1-1) unstable; urgency=medium

  * New upstream release
  * Update patch to use libharp.so.10
  * Library minor version now 10.0.4

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 26 Nov 2019 14:57:08 +0000

harp (1.9-1) unstable; urgency=medium

  * New upstream release
    - library minor version now 10.0.3
  * Add d/gbp.conf file

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 24 Oct 2019 11:44:14 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Science Maintainers  <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 11), 
+Build-Depends: debhelper-compat (= 12), 
  libjs-jquery, libjs-mathjax, libjs-underscore,
  dh-buildinfo, 
  bison,
@@ -23,7 +23,7 @@
  flex,
  sphinx-doc,
  doxygen
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/stcorp/harp
 Vcs-Browser: https://salsa.debian.org:/science-team/harp.git
 Vcs-Git: https://salsa.debian.org:/science-team/harp.git
@@ -31,7 +31,7 @@
 Package: harp
 Section: utils
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libharp9 ( = ${binary:Version}), libudunits2-data
+Depends: ${misc:Depends}, ${shlibs:Depends}, libharp10 ( = ${binary:Version}), libudunits2-data
 Recommends: python3-harp
 Description: Data harmonization toolset for Earth Observation formats
  HARP is a toolset for ingesting, processing and inter-comparing satellite or
@@ -46,7 +46,7 @@
  .
  This package provides the HARP binary utilities.
 
-Package: libharp9
+Package: libharp10
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, python3-cffi-backend, python3-numpy
@@ -68,7 +68,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libharp9 (= ${binary:Version}),
+Depends: ${misc:Depends}, libharp10 (= ${binary:Version}),
  libjs-jquery, libjs-mathjax, libjs-underscore, 
  fonts-roboto-slab, fonts-lato
 Description: Data harmonisation toolset for Earth Observation formats
@@ -88,7 +88,7 @@
 Package: python3-harp
 Architecture: any
 Section: python
-Depends: harp, ${misc:Depends}, ${python3:Depends},  libharp9 ( = ${binary:Version})
+Depends: harp, ${misc:Depends}, ${python3:Depends},  libharp10 ( = ${binary:Version})
 Provides: ${python:Provides}
 Description: Python3 interface for the HARP data harmonisation toolset
  HARP is a toolset for ingesting, processing and inter-comparing satellite or

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 DESTDIR:=`pwd`/debian/tmp/
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
-AUTOGENERATED:= libharp-dev.links libharp9.links 
+AUTOGENERATED:= libharp-dev.links libharp10.links 
 
 # For the moment, serial hdf5 only
 WITH_HDF5:=--with-hdf5=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial

## harp 1.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,13 @@
 
 project(HARP)
 
-set(VERSION 1.9.2)
+set(VERSION 1.11)
 set(HARP_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
-set(LIBHARP_CURRENT 10)
-set(LIBHARP_REVISION 5)
+set(LIBHARP_CURRENT 11)
+set(LIBHARP_REVISION 0)
 set(LIBHARP_AGE 0)
 math(EXPR LIBHARP_MAJOR "${LIBHARP_CURRENT} - ${LIBHARP_AGE}")
 set(LIBHARP_MINOR ${LIBHARP_AGE})
@@ -351,3 +351,4 @@
   libharp/harp-ingestion-doc.c
   libharp/harp-ingestion-module.c
   libharp/harp-ingestion-options.c
+  libharp/harp-internal.h

=== debian/changelog ===
harp (1.11-1) unstable; urgency=medium

  * New upstream release
  * Library has changed major version, and so pkg name to libharp11

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 22 May 2020 17:34:28 +0100

harp (1.10-1) unstable; urgency=medium

  * New upstream release
  * Library minor version now 10.0.6
  * Standards-Version: 4.5.0
  * Use dh-sequence-python3 rather than --with python3

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 14 Apr 2020 15:31:16 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Science Maintainers  <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 12), 
+ dh-sequence-python3,
  libjs-jquery, libjs-mathjax, libjs-underscore,
  dh-buildinfo, 
  bison,
  zip,
- dh-python,
  python3-all,
  python3-numpy,
  libcoda-dev (>= 2.20-2),
@@ -23,7 +23,7 @@
  flex,
  sphinx-doc,
  doxygen
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/stcorp/harp
 Vcs-Browser: https://salsa.debian.org:/science-team/harp.git
 Vcs-Git: https://salsa.debian.org:/science-team/harp.git
@@ -31,7 +31,7 @@
 Package: harp
 Section: utils
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libharp10 ( = ${binary:Version}), libudunits2-data
+Depends: ${misc:Depends}, ${shlibs:Depends}, libharp11 ( = ${binary:Version}), libudunits2-data
 Recommends: python3-harp
 Description: Data harmonization toolset for Earth Observation formats
  HARP is a toolset for ingesting, processing and inter-comparing satellite or
@@ -46,7 +46,7 @@
  .
  This package provides the HARP binary utilities.
 
-Package: libharp10
+Package: libharp11
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, python3-cffi-backend, python3-numpy
@@ -68,7 +68,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libharp10 (= ${binary:Version}),
+Depends: ${misc:Depends}, libharp11 (= ${binary:Version}),
  libjs-jquery, libjs-mathjax, libjs-underscore, 
  fonts-roboto-slab, fonts-lato
 Description: Data harmonisation toolset for Earth Observation formats
@@ -88,7 +88,7 @@
 Package: python3-harp
 Architecture: any
 Section: python
-Depends: harp, ${misc:Depends}, ${python3:Depends},  libharp10 ( = ${binary:Version})
+Depends: harp, ${misc:Depends}, ${python3:Depends},  libharp11 ( = ${binary:Version})
 Provides: ${python:Provides}
 Description: Python3 interface for the HARP data harmonisation toolset
  HARP is a toolset for ingesting, processing and inter-comparing satellite or

=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,12 @@
 
 # The magic debhelper  rule
 %:
-	dh $@  --with python3
+	dh $@ 
 
 DESTDIR:=`pwd`/debian/tmp/
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
-AUTOGENERATED:= libharp-dev.links libharp10.links 
+AUTOGENERATED:= libharp-dev.links libharp11.links 
 
 # For the moment, serial hdf5 only
 WITH_HDF5:=--with-hdf5=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial

## harp 1.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,12 +5,12 @@
 
 project(HARP)
 
-set(VERSION 1.11)
+set(VERSION 1.12)
 set(HARP_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
-set(LIBHARP_CURRENT 11)
+set(LIBHARP_CURRENT 12)
 set(LIBHARP_REVISION 0)
 set(LIBHARP_AGE 0)
 math(EXPR LIBHARP_MAJOR "${LIBHARP_CURRENT} - ${LIBHARP_AGE}")

=== debian/changelog ===
harp (1.12-1) unstable; urgency=medium

  * New upstream release
  * Library has changed major version, and so pkg name to libharp12
  * Move to debhelper level 13
  * Use dh13 subst. vars rather than autogenerated files
  * Point Vcs-Git to debian/latest branch for DEP-14
  * Change d/gbp.conf to point to DEP-14 branches

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Nov 2020 11:38:49 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Science Maintainers  <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper-compat (= 12), 
+Build-Depends: debhelper-compat (= 13), 
  dh-sequence-python3,
  libjs-jquery, libjs-mathjax, libjs-underscore,
  dh-buildinfo, 
@@ -26,12 +26,12 @@
 Standards-Version: 4.5.0
 Homepage: https://github.com/stcorp/harp
 Vcs-Browser: https://salsa.debian.org:/science-team/harp.git
-Vcs-Git: https://salsa.debian.org:/science-team/harp.git
+Vcs-Git: https://salsa.debian.org:/science-team/harp.git -b debian/latest
 
 Package: harp
 Section: utils
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libharp11 ( = ${binary:Version}), libudunits2-data
+Depends: ${misc:Depends}, ${shlibs:Depends}, libharp12 ( = ${binary:Version}), libudunits2-data
 Recommends: python3-harp
 Description: Data harmonization toolset for Earth Observation formats
  HARP is a toolset for ingesting, processing and inter-comparing satellite or
@@ -46,7 +46,7 @@
  .
  This package provides the HARP binary utilities.
 
-Package: libharp11
+Package: libharp12
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, python3-cffi-backend, python3-numpy
@@ -68,7 +68,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libharp11 (= ${binary:Version}),
+Depends: ${misc:Depends}, libharp12 (= ${binary:Version}),
  libjs-jquery, libjs-mathjax, libjs-underscore, 
  fonts-roboto-slab, fonts-lato
 Description: Data harmonisation toolset for Earth Observation formats
@@ -88,7 +88,7 @@
 Package: python3-harp
 Architecture: any
 Section: python
-Depends: harp, ${misc:Depends}, ${python3:Depends},  libharp11 ( = ${binary:Version})
+Depends: harp, ${misc:Depends}, ${python3:Depends},  libharp12 ( = ${binary:Version})
 Provides: ${python:Provides}
 Description: Python3 interface for the HARP data harmonisation toolset
  HARP is a toolset for ingesting, processing and inter-comparing satellite or

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# The magic debhelper  rule
%:
	dh $@ 

DESTDIR:=`pwd`/debian/tmp/
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)

# For the moment, serial hdf5 only
WITH_HDF5:=--with-hdf5=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial

override_dh_auto_configure:
	./configure --prefix=/usr --libdir=$(LIBDIR) \
		--enable-python \
		$(WITH_HDF5)  \
		HDF4_INCLUDE=/usr/include/hdf \
		UDUNITS2LIBS=-ludunits2 \
		PYTHON=python3

override_dh_auto_install:
	dh_auto_install
	find debian -name '*.la' -delete
	rm debian/tmp/usr/share/harp/doc/html/_static/jquery*
	rm debian/tmp/usr/share/harp/doc/html/_static/underscore*
	rm -rf debian/tmp/usr/share/harp/doc/html/_static/fonts

## harp 1.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,14 +5,14 @@
 
 project(HARP)
 
-set(VERSION 1.12)
+set(VERSION 1.13)
 set(HARP_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
-set(LIBHARP_CURRENT 12)
+set(LIBHARP_CURRENT 13)
 set(LIBHARP_REVISION 0)
-set(LIBHARP_AGE 0)
+set(LIBHARP_AGE 1)
 math(EXPR LIBHARP_MAJOR "${LIBHARP_CURRENT} - ${LIBHARP_AGE}")
 set(LIBHARP_MINOR ${LIBHARP_AGE})

=== doc/requirements.txt ===
alabaster==0.7.12
Babel==2.9.0
breathe==4.25.1
certifi==2020.12.5
chardet==4.0.0
docutils==0.16
idna==2.10
imagesize==1.2.0
Jinja2==2.11.2
livereload==2.6.3
MarkupSafe==1.1.1
packaging==20.8
Pygments==2.7.3
pyparsing==2.4.7
pytz==2020.5
requests==2.25.1
six==1.15.0
snowballstemmer==2.0.0
Sphinx==3.3.1
sphinx-autobuild==2020.9.1
sphinx-rtd-theme==0.5.1
sphinxcontrib-applehelp==1.0.2
sphinxcontrib-devhelp==1.0.2
sphinxcontrib-htmlhelp==1.0.3
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==1.0.3
sphinxcontrib-serializinghtml==1.1.4
tornado==6.1
urllib3==1.26.2

=== debian/changelog ===
harp (1.13-1) unstable; urgency=medium

  * New upstream release
  * Add B-D on python3-breathe, sphinx-rtd-theme-common for sphinx docs
  * Standards-Version: 4.5.1
  * Add libjs-sphinxdoc dependency to libharp-dev, don't ship js

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Mar 2021 13:22:38 +0000

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  zip,
  python3-all,
  python3-numpy,
+ python3-breathe,
  libcoda-dev (>= 2.20-2),
  libnetcdf-dev, netcdf-bin,
  libhdf5-dev | libhdf5-serial-dev, 
@@ -22,8 +23,9 @@
  libudunits2-dev,
  flex,
  sphinx-doc,
+ python3-sphinx-rtd-theme,
  doxygen
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/stcorp/harp
 Vcs-Browser: https://salsa.debian.org:/science-team/harp.git
 Vcs-Git: https://salsa.debian.org:/science-team/harp.git -b debian/latest
@@ -69,7 +71,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, libharp12 (= ${binary:Version}),
- libjs-jquery, libjs-mathjax, libjs-underscore, 
+ libjs-jquery, libjs-mathjax, libjs-underscore, libjs-sphinxdoc,
  fonts-roboto-slab, fonts-lato
 Description: Data harmonisation toolset for Earth Observation formats
  HARP is a toolset for ingesting, processing and inter-comparing satellite or

## harp 1.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,13 @@
 
 project(HARP)
 
-set(VERSION 1.13)
+set(VERSION 1.14)
 set(HARP_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
 set(LIBHARP_CURRENT 13)
-set(LIBHARP_REVISION 0)
+set(LIBHARP_REVISION 1)
 set(LIBHARP_AGE 1)
 math(EXPR LIBHARP_MAJOR "${LIBHARP_CURRENT} - ${LIBHARP_AGE}")
 set(LIBHARP_MINOR ${LIBHARP_AGE})
@@ -125,8 +125,8 @@
 find_include(dlfcn.h HAVE_DLFCN_H)
 find_include(inttypes.h HAVE_INTTYPES_H)
 find_include(limits.h HAVE_LIMITS_H)
-find_include(memory.h HAVE_MEMORY_H)
 find_include(stdarg.h HAVE_STDARG_H)
+find_include(stdio.h HAVE_STDIO_H)
 find_include(stdint.h HAVE_STDINT_H)
 find_include(stdlib.h HAVE_STDLIB_H)
 find_include(string.h HAVE_STRING_H)
@@ -308,6 +308,7 @@
   libharp/harp-ingest-cci_l4_o3_np.c
   libharp/harp-ingest-cloudnet_l2.c
   libharp/harp-ingest-earlinet_l2.c
+  libharp/harp-ingest-earthcare_l2.c
   libharp/harp-ingest-ecmwf-grib.c
   libharp/harp-ingest-geoms-ftir.c
   libharp/harp-ingest-geoms-lidar.c
@@ -350,5 +351,3 @@
   libharp/harp-ingestion.c
   libharp/harp-ingestion-doc.c
   libharp/harp-ingestion-module.c
-  libharp/harp-ingestion-options.c
-  libharp/harp-internal.h

=== doc/requirements.txt ===
--- 
+++ 
@@ -6,11 +6,11 @@
 docutils==0.16
 idna==2.10
 imagesize==1.2.0
-Jinja2==2.11.2
+Jinja2==2.11.3
 livereload==2.6.3
 MarkupSafe==1.1.1
 packaging==20.8
-Pygments==2.7.3
+Pygments==2.7.4
 pyparsing==2.4.7
 pytz==2020.5
 requests==2.25.1
@@ -26,4 +26,4 @@
 sphinxcontrib-qthelp==1.0.3
 sphinxcontrib-serializinghtml==1.1.4
 tornado==6.1
-urllib3==1.26.2
+urllib3==1.26.5

=== debian/changelog ===
harp (1.14-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.0
  * B-D on python3-sphinx-rtd-theme

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 26 Oct 2021 12:51:34 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  sphinx-doc,
  python3-sphinx-rtd-theme,
  doxygen
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/stcorp/harp
 Vcs-Browser: https://salsa.debian.org:/science-team/harp.git
 Vcs-Git: https://salsa.debian.org:/science-team/harp.git -b debian/latest

=== debian/rules ===
--- 
+++ 
@@ -21,9 +21,17 @@
 		UDUNITS2LIBS=-ludunits2 \
 		PYTHON=python3
 
+override_dh_auto_build:
+	# rebuild docs with mathjax etc privac fix. Note it will return non-zero because of warnings
+	-($(MAKE) doc || true)
+	dh_auto_build
+
 override_dh_auto_install:
 	dh_auto_install
 	find debian -name '*.la' -delete
 	rm debian/tmp/usr/share/harp/doc/html/_static/jquery*
 	rm debian/tmp/usr/share/harp/doc/html/_static/underscore*
+	rm debian/tmp/usr/share/harp/doc/html/_static/doctools.js
+	rm debian/tmp/usr/share/harp/doc/html/_static/language_data.js
+	rm debian/tmp/usr/share/harp/doc/html/_static/searchtools.js
 	rm -rf debian/tmp/usr/share/harp/doc/html/_static/fonts

## harp 1.15.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,17 @@
-cmake_minimum_required(VERSION 2.8.8)
+cmake_minimum_required(VERSION 2.8.12)
 if(POLICY CMP0075)
   cmake_policy(SET CMP0075 NEW)
 endif()
 
 project(HARP)
 
-set(VERSION 1.14)
+set(VERSION 1.15.1)
 set(HARP_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
 set(LIBHARP_CURRENT 13)
-set(LIBHARP_REVISION 1)
+set(LIBHARP_REVISION 3)
 set(LIBHARP_AGE 1)
 math(EXPR LIBHARP_MAJOR "${LIBHARP_CURRENT} - ${LIBHARP_AGE}")
 set(LIBHARP_MINOR ${LIBHARP_AGE})
@@ -316,6 +316,7 @@
   libharp/harp-ingest-geoms-pandora.c
   libharp/harp-ingest-geoms-sonde.c
   libharp/harp-ingest-geoms-tccon.c
+  libharp/harp-ingest-geoms-uvvis-brewer.c
   libharp/harp-ingest-geoms-uvvis-doas.c
   libharp/harp-ingest-geoms-uvvis-dobson.c
   libharp/harp-ingest-gome_l1.c
@@ -350,4 +351,3 @@
   libharp/harp-ingestion.h
   libharp/harp-ingestion.c
   libharp/harp-ingestion-doc.c
-  libharp/harp-ingestion-module.c

=== debian/changelog ===
harp (1.15.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 24 May 2022 11:16:58 +0100

harp (1.15-2) unstable; urgency=medium

  * Add initial bash-completions

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Apr 2022 09:31:24 +0100

harp (1.15-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 17 Mar 2022 16:22:50 +0000

## harp 1.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,13 @@
 
 project(HARP)
 
-set(VERSION 1.15.1)
+set(VERSION 1.16)
 set(HARP_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
 set(LIBHARP_CURRENT 13)
-set(LIBHARP_REVISION 3)
+set(LIBHARP_REVISION 4)
 set(LIBHARP_AGE 1)
 math(EXPR LIBHARP_MAJOR "${LIBHARP_CURRENT} - ${LIBHARP_AGE}")
 set(LIBHARP_MINOR ${LIBHARP_AGE})
@@ -337,6 +337,9 @@
   libharp/harp-ingest-npp-suomi-omps_profiles_l2.c
   libharp/harp-ingest-npp-suomi-omps_totals_l2.c
   libharp/harp-ingest-npp-suomi-viirs_l2.c
+  libharp/harp-ingest-oco-l3co2.c
+  libharp/harp-ingest-oco-ltco2.c
+  libharp/harp-ingest-oco-ltsif.c
   libharp/harp-ingest-omi_l2.c
   libharp/harp-ingest-omi_l3.c
   libharp/harp-ingest-osiris_l2.c
@@ -347,7 +350,3 @@
   libharp/harp-ingest-s5p_l2.c
   libharp/harp-ingest-smr_l2.c
   libharp/harp-ingest-temis.c
-  libharp/harp-ingest-tes_l2.c
-  libharp/harp-ingestion.h
-  libharp/harp-ingestion.c
-  libharp/harp-ingestion-doc.c

=== debian/changelog ===
harp (1.16-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 18 Nov 2022 14:49:19 +0000

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  sphinx-doc,
  python3-sphinx-rtd-theme,
  doxygen
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/stcorp/harp
 Vcs-Browser: https://salsa.debian.org:/science-team/harp.git
 Vcs-Git: https://salsa.debian.org:/science-team/harp.git -b debian/latest

## harp 1.19

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,13 @@
 
 project(HARP)
 
-set(VERSION 1.16)
+set(VERSION 1.19)
 set(HARP_VERSION \"${VERSION}\")
 set(CPACK_PACKAGE_VERSION ${VERSION})
 
 # Set dynamic library version
-set(LIBHARP_CURRENT 13)
-set(LIBHARP_REVISION 4)
+set(LIBHARP_CURRENT 14)
+set(LIBHARP_REVISION 6)
 set(LIBHARP_AGE 1)
 math(EXPR LIBHARP_MAJOR "${LIBHARP_CURRENT} - ${LIBHARP_AGE}")
 set(LIBHARP_MINOR ${LIBHARP_AGE})
@@ -23,6 +23,7 @@
 
 
 # General setup
+set(CMAKE_INSTALL_DEFAULT_COMPONENT_NAME core)
 set(CMAKE_MODULE_PATH
   ${HARP_SOURCE_DIR}/CMakeModules
   ${CMAKE_MODULE_PATH}
@@ -306,8 +307,8 @@
   libharp/harp-ingest-cci_l3_o3_tc.c
   libharp/harp-ingest-cci_l3_o3_ttoc.c
   libharp/harp-ingest-cci_l4_o3_np.c
-  libharp/harp-ingest-cloudnet_l2.c
-  libharp/harp-ingest-earlinet_l2.c
+  libharp/harp-ingest-cloudnet.c
+  libharp/harp-ingest-earlinet.c
   libharp/harp-ingest-earthcare_l2.c
   libharp/harp-ingest-ecmwf-grib.c
   libharp/harp-ingest-geoms-ftir.c
@@ -343,10 +344,9 @@
   libharp/harp-ingest-omi_l2.c
   libharp/harp-ingest-omi_l3.c
   libharp/harp-ingest-osiris_l2.c
+  libharp/harp-ingest-pal_s5p_l2.c
   libharp/harp-ingest-qa4ecv.c
   libharp/harp-ingest-sciamachy_l1.c
   libharp/harp-ingest-sciamachy_l2.c
   libharp/harp-ingest-s5p_l1b.c
   libharp/harp-ingest-s5p_l2.c
-  libharp/harp-ingest-smr_l2.c
-  libharp/harp-ingest-temis.c

=== debian/changelog ===
harp (1.19-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 31 Jul 2023 18:00:35 +0100

harp (1.18-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 14 Jun 2023 11:03:19 +0100

harp (1.17-2) unstable; urgency=medium

  * Push to unstable
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Jun 2023 11:07:45 +0100

harp (1.17-1) experimental; urgency=medium

  * New upstream release
  * Change lib soname: libharp12->libharp13

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 20 Dec 2022 11:04:40 +0000

harp (1.15.1-2) UNRELEASED; urgency=medium

  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Fix broken Vcs URL.
  * Update standards version to 4.6.1, no changes needed.
  * Remove field Section on binary package harp that duplicates source.

 -- Debian Janitor <janitor@jelmer.uk>  Wed, 23 Nov 2022 13:53:37 -0000

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Science Maintainers  <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper-compat (= 13), 
+Build-Depends: debhelper-compat (= 13),
  dh-sequence-python3,
  libjs-jquery, libjs-mathjax, libjs-underscore,
- dh-buildinfo, 
+ dh-buildinfo,
  bison,
  zip,
  python3-all,
@@ -14,7 +14,7 @@
  python3-breathe,
  libcoda-dev (>= 2.20-2),
  libnetcdf-dev, netcdf-bin,
- libhdf5-dev | libhdf5-serial-dev, 
+ libhdf5-dev | libhdf5-serial-dev,
  libaec-dev,
  libjpeg-dev,
  zlib1g-dev,
@@ -25,15 +25,14 @@
  sphinx-doc,
  python3-sphinx-rtd-theme,
  doxygen
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/stcorp/harp
 Vcs-Browser: https://salsa.debian.org:/science-team/harp.git
-Vcs-Git: https://salsa.debian.org:/science-team/harp.git -b debian/latest
+Vcs-Git: https://salsa.debian.org/science-team/harp.git -b debian/latest
 
 Package: harp
-Section: utils
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libharp12 ( = ${binary:Version}), libudunits2-data
+Depends: ${misc:Depends}, ${shlibs:Depends}, libharp13 ( = ${binary:Version}), libudunits2-data
 Recommends: python3-harp
 Description: Data harmonization toolset for Earth Observation formats
  HARP is a toolset for ingesting, processing and inter-comparing satellite or
@@ -48,7 +47,7 @@
  .
  This package provides the HARP binary utilities.
 
-Package: libharp12
+Package: libharp13
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, python3-cffi-backend, python3-numpy
@@ -70,7 +69,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libharp12 (= ${binary:Version}),
+Depends: ${misc:Depends}, libharp13 (= ${binary:Version}),
  libjs-jquery, libjs-mathjax, libjs-underscore, libjs-sphinxdoc,
  fonts-roboto-slab, fonts-lato
 Description: Data harmonisation toolset for Earth Observation formats
@@ -90,7 +89,7 @@
 Package: python3-harp
 Architecture: any
 Section: python
-Depends: harp, ${misc:Depends}, ${python3:Depends},  libharp12 ( = ${binary:Version})
+Depends: harp, ${misc:Depends}, ${python3:Depends},  libharp13 ( = ${binary:Version})
 Provides: ${python:Provides}
 Description: Python3 interface for the HARP data harmonisation toolset
  HARP is a toolset for ingesting, processing and inter-comparing satellite or
@@ -104,4 +103,3 @@
  physical units.
  .
  This package contains Python3 wrappers for the HARP toolset.
-

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 # The magic debhelper  rule
 %:
-	dh $@ 
+	dh $@
 
 DESTDIR:=`pwd`/debian/tmp/
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
